### Method

# Gdk Textureget_format

since: 4.10

#### Declaration [src]

    GdkMemoryFormat
    gdk_texture_get_format (
      GdkTexture* self
    )

#### Description [src]

Gets the memory format most closely associated with the data of the texture.

Note that it may not be an exact match for texture data stored on the GPU or with compression.

The format can give an indication about the bit depth and opacity of the texture and is useful to determine the best format for downloading the texture.

Available since: 4.10

#### Return value

Type: `GdkMemoryFormat`

The preferred format for the texture’s data.